"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadYaml = void 0;
const yaml_1 = require("yaml");
const fs_1 = require("fs");
const path_1 = require("path");
/**
 * 读取并解析 yaml文件
 * @param pth 文件相对于项目根路径
 * @returns
 */
function loadYaml(pth) {
    const filePath = path_1.resolve(__dirname, "../..", pth);
    const content = fs_1.readFileSync(filePath).toString();
    return yaml_1.parse(content);
}
exports.loadYaml = loadYaml;
